%global major 0
%define libname %mklibname XXX %major
%define devname %mklibname -d XXX
%global commit c0abadf3cd07eb2b5e5ad694f680705c7b1c764e
%global shortcommit %(c=%{commit}; echo ${c:0:7})
%global checkout .20161118git%{shortcommit}
%define filename radeontop

Summary:	View GPU utilization of AMD/ATI Radeon devices
Name:		radeontop
Group:		System/Kernel and hardware
Version:	1.3
Release:	%mkrel 1
License:	GPLv3
URL:		https://github.com/clbr/%{name}

Source0:	https://github.com/clbr/%{name}/archive/v%{version}.tar.xz#/%{name}-%{version}.tar.xz
Source1:	%{name}.metainfo.xml

BuildRequires:	asciidoc gettext
BuildRequires:	appstream-glib
BuildRequires:	pkgconfig(ncurses)
BuildRequires:	pkgconfig(pciaccess)
BuildRequires:	pkgconfig(libdrm)
BuildRequires:	libxcb-devel


%description
RadeonTop shows the utilization of your GPU, both in general and by blocks.
Supported cards are R600 and up.

%prep
%setup -q -n %{filename}-%{version}
%apply_patches

%build
# configure doesn't exist, but we need the exported CFLAGS and friends
%configure2_5x || :

# plain=1 prevents stripping
# CC="..." to also pass -g
# Upstream patch: https://github.com/clbr/radeontop/pull/8
make all %{?_smp_mflags} PREFIX=%{_prefix} plain=1 CC="gcc -g"

%install
%make_install PREFIX=%{_prefix} LIBDIR=%{_lib}   
%find_lang %{name}

# Add AppStream metadata
install -Dm 0644 -p %{SOURCE1} \
	%{buildroot}%{_datadir}/metainfo/%{name}.metainfo.xml

%check
# Validate Appstream metadata
appstream-util validate-relax --nonet %{buildroot}/%{_datadir}/metainfo/%{name}.metainfo.xml

%files -f %{name}.lang
## %doc README.md 
## %license COPYING
%{_sbindir}/%{name}
# Workaround failure to build on /usr/lib64
%{_libdir}/libradeontop_xcb.so
%{_mandir}/man1/%{name}.1*
#AppStream metadata
%{_datadir}/metainfo/%{name}.metainfo.xml



%changelog
* Sun Oct 09 2022 tex - 1.3-1pclos2022
- new version

* Wed Jan 23 2019 pckg <pckg at email.cz> 1.1.-1pclos2019
- initial package
- import from MGA
- change build deps - appstream-util vs appstream-glib
- define filename

